# Choakem UpGrade TV
from Screens.Screen import Screen
from Screens.Console import Console
from Components.MenuList import MenuList
from Components.ActionMap import ActionMap
from Plugins.Plugin import PluginDescriptor

###########################################################################

class MyShPrombt(Screen):
	skin = """
		<screen position="100,150" size="460,400" title="DEFAULT SKIN INTERFACE" >
			<widget name="myMenu" position="10,10" size="420,380" scrollbarMode="showOnDemand" />
		</screen>"""

	def __init__(self, session, args = 0):
		self.session = session
		
		list = []
		list.append(("DEFAULT SKIN INTERFACE", "com_one"))
		list.append((_("Exit"), "exit"))
		
		Screen.__init__(self, session)
		self["myMenu"] = MenuList(list)
		self["myActionMap"] = ActionMap(["SetupActions"],
		{
			"ok": self.go,
			"cancel": self.cancel
		}, -1)

	def go(self):
		returnValue = self["myMenu"].l.getCurrentSelection()[1]
		print "\n[MyShPrombt] returnValue: " + returnValue + "\n"
		
		if returnValue is not None:
			if returnValue is "com_one":
				self.prombt("/script/defaultskin.sh")
				
			elif returnValue is "com_tree":
				self.prombt("/bin/mount")
		
			else:
				print "\n[MyShPrombt] cancel\n"
				self.close(None)

	def prombt(self, com):
		self.session.open(Console,_("start shell com: %s") % (com), ["%s" % com])
		
	def cancel(self):
		print "\n[MyShPrombt] cancel\n"
		self.close(None)

###########################################################################

def main(session, **kwargs):
	print "\n[MyShPrombt] start\n"	
	session.open(MyShPrombt)

###########################################################################

def Plugins(**kwargs):
	return PluginDescriptor(
			name="DEFAULT SKIN INTERFACE",
			description="DEFAULT SKIN INTERFACE",
			where = PluginDescriptor.WHERE_PLUGINMENU,
			icon="../ihad_tut.png",
			fnc=main)

